Bug 839241 - cman config reload can leak memory and does not propagate all info correctly
Summary: cman config reload can leak memory and does not propagate all info correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-11 10:50 UTC by Fabio Massimo Di Nitto
Modified: 2013-02-21 07:42 UTC (History)
6 users (show)

Fixed In Version: cluster-3.0.12.1-33.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 07:42:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0287 normal SHIPPED_LIVE cluster and gfs2-utils bug fix and enhancement update 2013-02-20 20:36:42 UTC

Description Fabio Massimo Di Nitto 2012-07-11 10:50:29 UTC
3 values that are generated at startup time (cluster_id, two_node, nodename) are not correctly re-instated in the objdb on config reload.

start cluster
corosync-objctl |grep cman

 cluster.cman.cluster_id=25573
 cluster.cman.nodename=fedora16-node1

increase version in cluster.conf, reload

the same command will show no output.

In the reload path, via code review, there is also a corner case where we can leak a tiny amount of memory if config reload fails. This is not easy to trigger or test. devel review required for the fix.

After patching, corosync-objctl will show the items as expected.

Comment 1 Fabio Massimo Di Nitto 2012-07-11 10:51:29 UTC
http://git.fedorahosted.org/git/?p=cluster.git;a=commitdiff;h=88ab6a7b1e4da3802f64addc3d6f234e5cf82760

unit test in comment #1. Patch tested also by community (see cluster-devel).

Comment 8 errata-xmlrpc 2013-02-21 07:42:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0287.html


Note You need to log in before you can comment on or make changes to this bug.